Priority: Normal Due date:  

Assignee:  % Done: 0%
Target version:    
Description

I have 2 trackers, default and read-only

1/ go to New issue

2/ select the read-only tracker (the field disappears and can't be changed anymore)

3/ after sumbitting issue has the default tracker

desired behaviour:

it should be possible to create a new issue with a read-only tracker. It can by done via api and later on the edit form.

related: #19162

Related issues:

Related to Redmine - Defect #34778: Inconsistencies working with workflow per... Confirmed

History

#1 - 2018-08-05 01:51 - Go MAEDA

Would you explain what "read-only tracker" means?

#2 - 2018-08-05 07:49 - Pavel Rosický

- File new_issue.png added

- File workflow.png added

It's on the workflow page. For a given role and status you can choose that the tracker is read-only. It means it can't be changed afterwards if these

conditions are met (status + role). See screens.

This works with existing issues on the edit page. However when creating the issue, there is no option to select the tracker. The select box will be

hidden if I choose a tracker like this and I also can't change it back without refreshing the whole page. Even if I choose a read-only tracker (the select

box disappers) and hit the confirm button, the issue I've just created has a different tracker, not the one I've just chosen.

On a new form, tracker_id attribute isn't part of the request, there isn't any select box or a hidden field, so the default tracker is chosen instead. I can

do the same request via api [POST /issues?issue[tracker_id]=x] and I can choose a read-only tracker this way. It also can be done in gui but only

after the issue is created on the edit form, this behaviour isn't unified.

current behaviour - issues/new (wrong)

default -> read-only - the select-box disappears

read-only -> default - once I've selected a read-only tracker I can't change it back

 desired behaviour:

default -> read-only

read-only -> default - I can choose between them and the issue will be created with that tracker

 current behaviour - issues/[id]/edit: (correct)

default -> read-only - the select-box won't disappear

read-only -> default - I can change it back before saving

(saved)read-only -> default - I can't change it because workflow conditions are met. The current read-only tra

cker is the only one available.
 btw: it makes the test in #19162 partly obsolote, because after my patch the tracker_id select-box will always be visible on a new form.

#3 - 2020-12-06 05:17 - Go MAEDA

- Tracker changed from Patch to Defect

- Status changed from New to Confirmed

#4 - 2022-01-03 01:38 - Go MAEDA

- Related to Defect #34778: Inconsistencies working with workflow permissions added

Files

issues_controller_test.rb.patch 518 Bytes 2018-07-30 Pavel Rosický

_form.html.erb.patch 724 Bytes 2018-07-30 Pavel Rosický

new_issue.png 16.9 KB 2018-08-05 Pavel Rosický

workflow.png 50 KB 2018-08-05 Pavel Rosický
